package com.platform.cac.tcp.message.dataframe;

import lombok.Data;


@Data
public class RemoteTcpBaseDataFrame {

    private short magicCode;
    private byte version;
    private byte serializationAlgorithm;
    private byte type;
    private byte gcsIdLength;
    private String gcsId;
    private byte gcsAuthLength;
    private String gcsAuth;
    private byte uavIdLength;
    private String uavId;
    private int readableDataBytesLength;
    private byte[] readableDataBytes;

    public RemoteTcpBaseDataFrame() {
    }

    /**
     * 属性复制
     */
    public RemoteTcpBaseDataFrame(RemoteTcpBaseDataFrame data) {
        // 将data的基础属性复制过来
        this.magicCode = data.getMagicCode();
        this.version = data.getVersion();
        this.serializationAlgorithm = data.getSerializationAlgorithm();
        this.type = data.getType();
        this.gcsIdLength = data.getGcsIdLength();
        this.gcsId = data.getGcsId();
        this.gcsAuthLength = data.getGcsAuthLength();
        this.gcsAuth = data.getGcsAuth();
        this.uavIdLength = data.getUavIdLength();
        this.uavId = data.getUavId();
    }
}
