package com.platform.cac.tcp.message.handler;



import com.platform.cac.tcp.message.dataframe.RemoteTcpBaseDataFrame;
import com.platform.info.enums.RemoteFrameEnum;
import io.netty.channel.Channel;


public interface IRemoteMessageHandler {
    /**
     * 执行处理消息
     *
     * @param channel 通道
     * @param gcsTcpBaseDataFrame 消息
     */
    void execute(Channel channel, RemoteTcpBaseDataFrame remoteTcpBaseDataFrame);

    /**
     * @return 消息类型
     */
    RemoteFrameEnum getFrameType();


}
