package com.platform.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "remote-cac")
public class CacRemoteConfig {
    public String ip;
    public int remoteTcpPort;
    public String udpIp;
    public int remoteUdpPort;
}