package com.platform.config;

import com.platform.service.clientmanage.CacRequestExecutor;
import com.platform.service.clientmanage.CommandManager;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;

@Configuration
@Data
public class ServiceConfig {
    @Value("${app.debug}")
    private boolean debug;
    @Value("${service.port}")
    private Integer port;

    @PostConstruct
    public void initConfig() {
        CommandManager.getInstance();
        CacRequestExecutor.getInstance();
    }
}
