package com.platform.info.enums;

import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

@Getter @Slf4j
public enum CommandTypeEnum {
    CONTROL(1, "开关控制"),
    PARAM_BIND(2, "参数装订"),
    PARAM_QUERY(3, "参数查询"),
    ROUTE_BIND(4, "航线装订"),
    ;

    private final int code;
    private final String info;

    CommandTypeEnum(int code, String info) {
        this.code = code;
        this.info = info;
    }
}
